
var DoceboFCKImageCommand = function(DoceboSession)
{
	this.Name = 'Image' ;
	this.DoceboSession=DoceboSession;

}


DoceboFCKImageCommand.prototype.Execute = function(  )
{
	var oDialogInfo = new Object() ;
	oDialogInfo.Title = 'Docebo_Popup' ;
	oDialogInfo.Page = '' ;
	oDialogInfo.Editor = window ;
	oDialogInfo.CustomValue = '';

	var dw = window.open('../../mod_media/index_fck.php?sn='+this.DoceboSession, '', 'width=620,height=460,resizable=yes,scrollbars=yes');
	dw.dialogArguments = oDialogInfo;
	window.FCKLastDialogInfo = oDialogInfo;
}

DoceboFCKImageCommand.prototype.GetState = function()
{
	/*var oSelection = FCK.EditorDocument.selection ;

	if ( FCKSelection.GetType() == 'Control' )
	{
		var e = FCKSelection.GetSelectedElement() ;
			if ( e )
				return this.StylesLoader.StyleGroups[ e.tagName ] ? FCK_TRISTATE_OFF : FCK_TRISTATE_DISABLED ;
			else
				FCK_TRISTATE_OFF ;
	}
	else */

		return FCK_TRISTATE_OFF ;
}
